tags:
  postgresql: true

image:
  repository: registry.gitlab.com/sia-insa-lyon/dev/portailva-2/portailva-server
  tag: master
  pullPolicy: Always

resources:
  pva:
    requests:
      cpu: 300m
      memory: 500Mi
    limits:
      cpu: 500m
      memory: 1Gi
  nginx:
    requests:
      cpu: 300m
      memory: 200Mi
    limits:
      cpu: 500m
      memory: 500Mi

autoscaling:
  enabled: false
  minReplicas: 1
  maxReplicas: 5
  targetCPUUtilizationPercentage: 90

ingress:
  enabled: true
  host: portailback.asso-insa-lyon.fr

service:
  type: ClusterIP
  port: 80

secret:
  mailjetApiKey: nil
  mailjetSecretKey: nil

env:
  APP_ENV: production
  APP_DEBUG: false
  APP_URL: https://portailback.asso-insa-lyon.fr
  DB_PORT: 3306
  DB_HOST: localhost

storage:
  sizeMedia: 5Gi
  sizeStatic: 1Gi

postgresql:
  postrgresql:
    username: postgres
    password: postgres
    database: portailva
  persistence:
    enabled: true
    storageClass: standard
    size: 1Gi

backupPostgresql:
  enabled: false
  schedule: 0 1 * * *
  FILE_NAME: "portailva2-db"
  secretEnableDatabase: true
  nameSecretDatabase: "portailva2-db-secret"
  nameKeyDatabase: "PGDATABASE"
  secretEnableUser: true
  nameSecretUser: "portailva2-db-secret"
  nameKeyUser: "PGUSER"
  secretEnablePassword: true
  nameSecretPassword: "portailva2-db-secret"
  nameKeyPassword: "PGPASSWORD"
  OS_PROJECT_NAME: ""
  OS_AUTH_URL: ""
  OS_USERNAME: ""
  OS_PASSWORD: ""
  OS_ENDPOINT: ""
  OS_BUCKET_NAME: ""
  PGHOST: 'postgres'
  PGDATABASE: 'postgres'
  PGUSER: 'postgres'
  PGPASSWORD: 'password'
  image:
    registry: registry.gitlab.com/sia-insa-lyon/dev/postgres-backup-container
    tag: latest

nodeSelector:
  enable: false
  labelKey: ""
  labelValue: ""


backupfiles:
  enabled: false
  image:
    registry: registry.gitlab.com/sia-insa-lyon/dev/backup-files-swift
    tag: latest
  schedule: 0 1 * * *
  fileName: ""
  pvcName: ""
  OS_PROJECT_NAME: ""
  OS_AUTH_URL: ""
  OS_USERNAME: ""
  OS_PASSWORD: ""
  OS_ENDPOINT: ""
  OS_BUCKET_NAME: ""
  nodeSelector:
    enable: false
    labelKey: ""
    labelValue: ""
